Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 735274 - dev-lang/ocaml does not build with gcc-10 (patch included)
Summary: dev-lang/ocaml does not build with gcc-10 (patch included)
Status: IN_PROGRESS
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Team for the ML programming language family
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common gcc-10-stable
  Show dependency tree
 
Reported: 2020-08-02 13:42 UTC by Martin 'The Bishop' Scheffler
Modified: 2021-01-28 22:15 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix build errors with gcc-10 (gcc10-fixes.patch,2.18 KB, patch)
2020-08-02 13:42 UTC, Martin 'The Bishop' Scheffler
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 'The Bishop' Scheffler 2020-08-02 13:42:30 UTC
Created attachment 652346 [details, diff]
fix build errors with gcc-10

gcc-10 is more picky than earlier versions about multiple definitions of global variables. My proposed patch resolves this problems.
Comment 1 Jonas Stein gentoo-dev 2020-08-03 19:28:37 UTC
Was it reported upstream already? It should be fixed upstream (too).
Comment 2 Larry the Git Cow gentoo-dev 2020-10-13 12:54:10 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b92854d276a8b00adccea7265b068b961530a3e

commit 6b92854d276a8b00adccea7265b068b961530a3e
Author:     Mark Wright <gienah@gentoo.org>
AuthorDate: 2020-10-10 08:13:21 +0000
Commit:     Mark Wright <gienah@gentoo.org>
CommitDate: 2020-10-13 12:52:57 +0000

    dev-lang/ocaml: Bump to 4.11.1
    
    Thanks to Martin 'The Bishop' Scheffler for reporting ocaml does
    not compile with gcc-10, and for the patch.  This appears to be fixed
    upstream.
    
    Thanks to Josh Parsons for the x32 compile patch, this appears to be
    fixed upstream.
    
    Bug: https://bugs.gentoo.org/735274
    Bug: https://bugs.gentoo.org/555598
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Mark Wright <gienah@gentoo.org>

 dev-lang/ocaml/Manifest            |  1 +
 dev-lang/ocaml/metadata.xml        |  5 ++-
 dev-lang/ocaml/ocaml-4.11.1.ebuild | 74 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 79 insertions(+), 1 deletion(-)
Comment 3 Larry the Git Cow gentoo-dev 2021-01-28 22:15:22 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=77fd8a0f1e7d400c8658105c0e0163ac49b6412b

commit 77fd8a0f1e7d400c8658105c0e0163ac49b6412b
Author:     Alfredo Tupone <tupone@gentoo.org>
AuthorDate: 2021-01-28 22:15:08 +0000
Commit:     Alfredo Tupone <tupone@gentoo.org>
CommitDate: 2021-01-28 22:15:08 +0000

    dev-lang/ocaml: build with gcc-10
    
    Bug: https://bugs.gentoo.org/735274
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Alfredo Tupone <tupone@gentoo.org>

 dev-lang/ocaml/files/ocaml-4.05.0-gcc10.patch |  59 ++++++++++++
 dev-lang/ocaml/ocaml-4.05.0-r2.ebuild         | 132 ++++++++++++++++++++++++++
 2 files changed, 191 insertions(+)